com.genesyslab.wfm7.API.service.forecast761

## Class CfgBUShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast761.CfgBUShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgBUShort
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `wmBUId`
    `private java.lang.String` | `wmName`
    `private int` | `wmTimezoneId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBUShort()`
    `CfgBUShort(int wmBUId, java.lang.String wmName, int wmTimezoneId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getWmBUId()` Gets the wmBUId value for this CfgBUShort.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgBUShort.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgBUShort.
    `int` | `hashCode()`
    `void` | `setWmBUId(int wmBUId)` Sets the wmBUId value for this CfgBUShort.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgBUShort.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgBUShort.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmBUId

          private int wmBUId

    - #### wmName

          private java.lang.String wmName

    - #### wmTimezoneId

          private int wmTimezoneId

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgBUShort

          public CfgBUShort()

    - #### CfgBUShort

          public CfgBUShort(int wmBUId,
                    java.lang.String wmName,
                    int wmTimezoneId)

  - ### Method Detail

    - #### getWmBUId

          public int getWmBUId()

      Gets the wmBUId value for this CfgBUShort.
      Returns:
        wmBUId

    - #### setWmBUId

          public void setWmBUId(int wmBUId)

      Sets the wmBUId value for this CfgBUShort.
      Parameters:
        `wmBUId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgBUShort.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgBUShort.
      Parameters:
        `wmName` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgBUShort.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgBUShort.
      Parameters:
        `wmTimezoneId` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.